GETDOMAINNAME(2)

NAME
getdomainname, setdomainname - get/set name of current domain

SYNOPSIS
int getdomainname(name, namelen)
char *name;
int namelen;

int setdomainname(name, namelen)
char *name;
int namelen;

DESCRIPTION

getdomainname() returns the name of the domain for the current processor, as previously set by setdomainname. The parameter namelen specifies the size of the array pointed to by name. The returned name is null-terminated unless insufficient space is provided.

setdomainname() sets the domain of the host machine to be name, which has length namelen. This call is restricted to the super-user and is normally used only when the system is bootstrapped.

The purpose of domains is to enable two distinct networks that may have host names in common to merge. Each network would be distinguished by having a different domain name. At the current time, only the Network Information Service (NIS) and sendmail(8) make use of domains.

RETURN VALUES

getdomainname() and setdomainname() return:

0   on success.

-1  on failure and set errno to indicate the error.

ERRORS

EFAULT
    The name parameter gave an invalid address.

In addition to the above, setdomainname() will fail if:

EPERM
    The caller was not the super-user.

NOTES

Domain names are limited to 64 characters.

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.